Subject: Re: LinuxPPC X Server

From: Daniel Jacobowitz <[email-masked]>
Date: Tue, 1 Aug 2000 14:03:59 -0700

On Mon, Jul 31, 2000 at 09:40:15AM +0200, Michel Dänzer wrote:
> Daniel Jacobowitz wrote:
> >
> > On Sun, Jul 30, 2000 at 08:14:35PM +0200, Michel D?nzer wrote:
> > > Before building, you should have copied xc/config/cf/{xf86site,host}.def
> > >
> > > Then edit the newly created host.def - you probably only want to build the
> > > server and drivers, and choose the drivers you want.
> > >
> > > For DRI, you may have to edit even more files in config/cf/, AFAIK DRI is only
> > > built on i386 by default.
> >
> > DRI won't build on powerpc at present.  The first place it dies is in
> > the makefiles for libOSmesa, where $(SUBDIRS) becomes empty.
>
> Which tree and version?
>
> I was playing around with stock X 4.0.1 on the train about an hour ago, and
> apart from the /dev entries missing (anyone has the majors/minors handy? :),
> everything _seemed_ to at least load fine...
>
> I'll report the definite result after more testing.

Straight 4.0.1.  I turned on BuildXF86DRI in linux.cf in an attempt to
build libOSmesa, and failed.

Dan

/--------------------------------\  /--------------------------------\
|       Daniel Jacobowitz        |__|        SCS Class of 2002       |
|   Debian GNU/Linux Developer    __    Carnegie Mellon University   |
|         [email-masked]         |  |       [email-masked]      |
\--------------------------------/  \--------------------------------/

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/